/*				       	-*- c-file-style: "bsd" -*-
 * rproxy -- dynamic caching and delta update in HTTP
 * $Id: util.h,v 1.9 2000/08/14 02:25:58 mbp Exp $
 * 
 * Copyright (C) 1999, 2000 by Martin Pool <mbp@linuxcare.com>
 * Copyright (C) 1999 by Andrew Tridgell <tridge@linuxcare.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

void            start_timer(void);
char           *fgets_strip(char *s, int size, FILE * f);
char           *xstrdup(char const *s);
void           *xrealloc(void *p, size_t length);
void           *xmalloc(size_t length);
FILE           *xfdopen(int fd, char const *mode);
ssize_t         read_all(FILE * f, char *buf, size_t size);
size_t          base64_decode(char *s);
void            base64_encode(unsigned char const *buf, int n, char *out);
int             vslprintf(char *str, int n, const char *format, va_list ap);
int             slprintf(char *str, int n, const char *format, ...);
int             next_token(char const **ptr, char *buff, char const *sep);
void            string_sub(char *s, const char *pattern, const char *insert);
int             trim_string(char *s, const char *front, const char *back);
void            string_replchar(char *s, const char from, const char to);

int             string_countprefix(char const *a, char const *b);
char           *xstrndup(char const *s, size_t len);
void            trim_crlf(char *s);
ssize_t         read_and_alloc(FILE * f, char **buf);

char const * str_or_null(char const *, char const *);
char * x_strappend(char *buf, char const *to_append);
